[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.SetPixel

Sets a value in the indexed Pixels property.

## Declaration

Source position: graphics.pp line 1087

`protected procedure TCanvas.SetPixel(`
`X: Integer;`
`Y: Integer;`
`Value: TColor`
`); virtual;`

## Arguments

`X` |  | Horizontal canvas coordinate for the pixel.
`Y` |  | Vertical canvas coordinate for the pixel.
`Value` |  | New value for the indexed property.

## See also

TCanvas.Pixels |  | The color of the Pixels located at the specified position.